test: tagDCE struct Reference

Main Page | Class Hierarchy | Class List | File List | Class Members | File Members

# tagDCE Struct Reference

`#include <userk.h>`

List of all members.

## Public Attributes

PDCE | pdceNext
HDC | hdc
PWND | pwndOrg
PWND | pwndClip
HRGN | hrgnClip
HRGN | hrgnClipPublic
HRGN | hrgnSavedVis
DWORD | DCX_flags
PTHREADINFO | ptiOwner
PMONITOR | pMonitor

## Member Data Documentation

DWORD tagDCE::DCX_flags

| Definition at line 3592 of file userk.h. Referenced by _GetDCEx(), _WindowFromDC(), ConvertRedirectionDCs(), CreateCacheDC(), CreateSpb(), DelayedDestroyCacheDC(), DeleteHrgnClip(), DestroyCacheDC(), DestroyCacheDCEntries(), FastWindowFromDC(), FreeSpb(), GetMonitorDC(), InvalidateDce(), LookupDC(), RecreateRedirectionBitmap(), ReleaseCacheDC(), ResetOrg(), SpbCheck(), SpbCheckDce(), UserGetRedirectedWindowOrigin(), UserSetDCVisRgn(), WindowFromCacheDC(), xxxFreeWindow(), xxxGetUpdateRect(), xxxSystemTimerProc(), xxxUserProcessCallout(), and zzzInvalidateDCCache().

HDC tagDCE::hdc

| Definition at line 3586 of file userk.h. Referenced by _GetDCEx(), _WindowFromDC(), ConvertRedirectionDCs(), CreateCacheDC(), CreateSpb(), DelayedDestroyCacheDC(), DeleteHrgnClip(), DestroyCacheDC(), DestroyCacheDCEntries(), DestroyClass(), DestroyMonitorDCs(), FastWindowFromDC(), FreeSpb(), GetMonitorDC(), InvalidateDce(), LookupDC(), RecreateRedirectionBitmap(), ReleaseCacheDC(), ResetOrg(), SpbCheckDce(), UpdateLayeredSprite(), UserGetHwnd(), WindowFromCacheDC(), xxxFreeWindow(), xxxGetUpdateRect(), and xxxUserProcessCallout().

HRGN tagDCE::hrgnClip

| Definition at line 3589 of file userk.h. Referenced by _GetDCEx(), CreateCacheDC(), DeleteHrgnClip(), DestroyCacheDC(), GetMonitorDC(), InvalidateDce(), and xxxFreeWindow().

HRGN tagDCE::hrgnClipPublic

| Definition at line 3590 of file userk.h. Referenced by _GetDCEx(), CreateCacheDC(), DeleteHrgnClip(), DestroyCacheDC(), InvalidateDce(), and UserSetDCVisRgn().

HRGN tagDCE::hrgnSavedVis

| Definition at line 3591 of file userk.h. Referenced by CreateCacheDC(), DeleteHrgnClip(), and DestroyCacheDC().

PDCE tagDCE::pdceNext

| Definition at line 3585 of file userk.h. Referenced by _GetDCEx(), _WindowFromDC(), ConvertRedirectionDCs(), CreateCacheDC(), CreateSpb(), DelayedDestroyCacheDC(), DestroyCacheDC(), DestroyCacheDCEntries(), DestroyMonitorDCs(), FastWindowFromDC(), FreeSpb(), GetMonitorDC(), LookupDC(), RecreateRedirectionBitmap(), ReleaseCacheDC(), SpbCheck(), UserGetHwnd(), Win32KDriverUnload(), WindowFromCacheDC(), xxxFreeWindow(), xxxGetUpdateRect(), xxxSystemTimerProc(), xxxUserProcessCallout(), and zzzInvalidateDCCache().

PMONITOR tagDCE::pMonitor

| Definition at line 3594 of file userk.h. Referenced by _GetDCEx(), ConvertRedirectionDCs(), CreateCacheDC(), DestroyMonitorDCs(), GetMonitorDC(), LookupDC(), ResetOrg(), and SpbCheckDce().

PTHREADINFO tagDCE::ptiOwner

| Definition at line 3593 of file userk.h. Referenced by _GetDCEx(), CreateCacheDC(), DestroyCacheDCEntries(), GetMonitorDC(), and ReleaseCacheDC().

PWND tagDCE::pwndClip

| Definition at line 3588 of file userk.h. Referenced by _GetDCEx(), CreateCacheDC(), DestroyCacheDC(), GetMonitorDC(), InvalidateDce(), UserSetDCVisRgn(), xxxFreeWindow(), and zzzInvalidateDCCache().

PWND tagDCE::pwndOrg

| Definition at line 3587 of file userk.h. Referenced by _GetDCEx(), _WindowFromDC(), ConvertRedirectionDCs(), CreateCacheDC(), DestroyCacheDC(), FastWindowFromDC(), GetMonitorDC(), InvalidateDce(), RecreateRedirectionBitmap(), ResetOrg(), SpbCheckDce(), UpdateLayeredSprite(), UserGetHwnd(), UserGetRedirectedWindowOrigin(), UserSetDCVisRgn(), WindowFromCacheDC(), xxxEnumDisplayMonitors(), xxxFreeWindow(), xxxGetUpdateRect(), and zzzInvalidateDCCache().

The documentation for this struct was generated from the following file:

- userk.h